## r-cran-tcr 2.2.4

=== DESCRIPTION ===
Package: tcR
Type: Package
Title: Advanced Data Analysis of Immune Receptor Repertoires
Version: 2.2.4
Date: 2019-03-25
Author: Vadim Nazarov
Maintainer: Vadim Nazarov <vdm.nazarov@gmail.com>
Description: Platform for the advanced analysis of T cell receptor and
    Immunoglobulin repertoires data and visualisation of the analysis results.
License: Apache License 2.0
Depends: R (>= 3.0.0), ggplot2 (>= 1.0.0), dplyr (>= 0.4.0), gridExtra
        (>= 0.9.0), reshape2 (>= 1.2.0), igraph (>= 0.7.1)
Imports: utils (>= 3.1.0), Rcpp (>= 0.11.1), grid (>= 3.0.0),
        data.table (>= 1.9.0), gtable (>= 0.1.2), stringdist (>=
        0.7.3), scales (>= 0.3.0)
Suggests: knitr (>= 1.8), roxygen2 (>= 3.0.0), rmarkdown (>= 1.0)
LinkingTo: Rcpp
URL: http://imminfo.github.io/tcr/
BugReports: https://github.com/imminfo/tcr/issues
VignetteBuilder: knitr
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-03-25 14:13:41 UTC; vdn
Repository: CRAN
Date/Publication: 2019-03-25 15:20:03 UTC

## r-cran-tcr 2.2.3

=== debian/changelog ===
r-cran-tcr (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 11:03:22 +0100

r-cran-tcr (2.2.2-1) unstable; urgency=medium

  * Team upload
  * Initial release (closes: #901620).

 -- Andreas Tille <tille@debian.org>  Mon, 10 Sep 2018 23:25:04 +0200

=== debian/control ===
Source: r-cran-tcr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-ggplot2 (>= 1.0.0),
               r-cran-dplyr,
               r-cran-gridextra,
               r-cran-reshape2,
               r-cran-igraph,
               r-cran-rcpp (>= 0.11.1),
               r-cran-data.table,
               r-cran-gtable,
               r-cran-stringdist,
               r-cran-scales (>= 0.3.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tcr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tcr.git
Homepage: https://cran.r-project.org/package=tcR

Package: r-cran-tcr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Advanced Data Analysis of Immune Receptor Repertoires
 Cells of the immune system are the grand exception to the rule
 that all cells of an individuum have (mostly exact) copies of the
 same DNA. B cells (which produce antibodies) and T cells (which
 communicate with cells) however have a section of their DNA with
 genes of the groups V, D and J that are reorganised within the
 genomic DNA to provide the flexibility to deal with yet unknown
 pathogens.
 .
 This package provides a platform for the advanced analysis of T
 cell receptor repertoire data and its visualisations.

## r-cran-tcr 2.2.4

=== debian/changelog ===
r-cran-tcr (2.2.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:01:11 +0100

r-cran-tcr (2.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 21:45:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-ggplot2 (>= 1.0.0),
+               r-cran-ggplot2,
                r-cran-dplyr,
                r-cran-gridextra,
                r-cran-reshape2,
                r-cran-igraph,
-               r-cran-rcpp (>= 0.11.1),
+               r-cran-rcpp,
                r-cran-data.table,
                r-cran-gtable,
                r-cran-stringdist,

=== debian/watch ===
version=4

https://cloud.r-project.org/src/contrib/tcR_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-tcr 2.3.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2,
@@ -17,10 +17,11 @@
                r-cran-gtable,
                r-cran-stringdist,
                r-cran-scales (>= 0.3.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tcr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tcr.git
 Homepage: https://cran.r-project.org/package=tcR
+Rules-Requires-Root: no
 
 Package: r-cran-tcr
 Architecture: any
@@ -40,3 +41,7 @@
  .
  This package provides a platform for the advanced analysis of T
  cell receptor repertoire data and its visualisations.
+ .
+ Caveat: This package is soon to be replaced by
+ http://github.com/immunomind/immunarch which is not yet available
+ as a Debian package.

## r-cran-tcr 2.3.2+ds

=== debian/changelog ===
r-cran-tcr (2.3.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Removed Vignette build/ and *html from upstream source tree

 -- Steffen Moeller <moeller@debian.org>  Tue, 16 Jun 2020 21:18:11 +0200

r-cran-tcr (2.2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 25 Mar 2020 08:33:10 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	find . \( -name "*.o" -o -name "*.so" \) -delete

=== debian/watch ===
version=4

opts="repack,compression=gz,repacksuffix=+ds" \
  https://cloud.r-project.org/src/contrib/tcR_@ANY_VERSION@@ARCHIVE_EXT@
